package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class TempLogModificheDisposizioni.
 * @see sicura.entities.TempLogModificheDisposizioni
 * @author Hibernate Tools
 */
@Stateless
public class TempLogModificheDisposizioniHome {

	private static final Log log = LogFactory.getLog(TempLogModificheDisposizioniHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(TempLogModificheDisposizioni transientInstance) {
		log.debug("persisting TempLogModificheDisposizioni instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(TempLogModificheDisposizioni persistentInstance) {
		log.debug("removing TempLogModificheDisposizioni instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public TempLogModificheDisposizioni merge(TempLogModificheDisposizioni detachedInstance) {
		log.debug("merging TempLogModificheDisposizioni instance");
		try {
			TempLogModificheDisposizioni result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public TempLogModificheDisposizioni findById(Integer id) {
		log.debug("getting TempLogModificheDisposizioni instance with id: " + id);
		try {
			TempLogModificheDisposizioni instance = entityManager.find(TempLogModificheDisposizioni.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
